%define upstream_name    CGI-ParamComposite
%define upstream_version 0.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:	CGI-ParamComposite module for perl 
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/CGI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:  perl(CGI)
BuildArch:	noarch


%description
Convert .-delimited CGI parameters to Perl classes/objects.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build
make test

%install
%make_install

%files
%doc Changes README META.yml
%{perl_vendorlib}/CGI/ParamComposite.pm
%{_mandir}/*/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.20.0-11.mga10
+ Revision: 2215863
- Mageia 10 Mass Rebuild

* Tue Nov 01 2022 umeabot <umeabot> 0.20.0-10.mga9
+ Revision: 1901142
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.20.0-9.mga8
+ Revision: 1493493
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.20.0-8.mga7
+ Revision: 1266033
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.20.0-7.mga6
+ Revision: 1023816
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 0.20.0-6.mga6
+ Revision: 932778
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.20.0-5.mga5
+ Revision: 741961
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20.0-4.mga5
+ Revision: 683652
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.20.0-3.mga4
+ Revision: 509409
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.20.0-2.mga3
+ Revision: 363540
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 0.20.0-1.mga1
+ Revision: 25873
- mageia rebuild
- imported package perl-CGI-ParamComposite


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.20.0-1mdv2010.0
+ Revision: 403002
- rebuild using %%perl_convert_version

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 0.02-5mdv2009.0
+ Revision: 255780
- rebuild

* Sat Dec 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.02-3mdv2008.1
+ Revision: 136907
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Oct 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.02-2mdv2007.0
+ Revision: 73395
- import perl-CGI-ParamComposite-0.02-2mdk

* Fri Apr 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.02-2mdk
- Fix SPEC Using perl Policies
	- BuildRequires
	- Source URL
- use mkrel

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 0.02-1mdk
- initial Mandriva package

